#
# spec file for package python-shade
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-shade
Version:        1.29.0
Release:        1.1
Summary:        Client library for operating OpenStack clouds
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            http://docs.openstack.org/infra/shade/
Source:         https://files.pythonhosted.org/packages/source/s/shade/shade-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pbr}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       %{python_module openstacksdk} >= 0.11.2
Requires:       %{python_module os-client-config} >= 1.28.0
Requires:       %{python_module pbr} >= 2.0.0
BuildArch:      noarch
%python_subpackages

%description
A simple client library for operating OpenStack clouds.

%prep
%setup -q -n shade-%{version}

%build
%python_build

%install
%python_install
%python_clone %{buildroot}%{_bindir}/shade-inventory

%fdupes %{buildroot}

%files %{python_files}
%license LICENSE
%doc ChangeLog README.rst AUTHORS
%{python_sitelib}/*
%{_bindir}/shade-inventory-%{python_bin_suffix}
%python3_only %{_bindir}/shade-inventory

%changelog
* Fri Sep 14 2018 mchandras@suse.de
- Version bump to 1.29.0
  * Use valid filters to list floating IPs in neutron
  * Make OpenStackCloud a subclass of Connection
  * Fix for passing dict for get_* methods
  * Finish migrating image tests to requests-mock
  * Convert image_client mocks in test_shade_operator
  * Convert test_caching to requests-mock
  * Convert domain params tests to requests_mock
  * Use RequestsMockTestCase everywhere
  * Improve Magnum cluster templates functions
  * Change 'Member' role reference to 'member'
  * fix tox python3 overrides
  * Allow explicitly setting enable_snat to either value
  * Switch to iterable version of server listing (and expose iterable method)
  * Fix recent pep8 issues
  * Use openstack.config directly for config
  * remove redundant information from release notes build
  * Make name setting in connect_as more resilient
  * Backport connect_as fix from openstacksdk
  * Add get_volume_limits() support
  * Build universal wheels
  * list_servers pagination support
  * Rename python-openstacksdk to openstacksdk
  * create_subnet: Add filter on tenant_id if specified
  * Adds toggle port security on network create
  * Add proper return value for validate_node
  * Add extra failure codes to bad request exception
  * Make shade-tox-tips actually run shade tests
  * Fix private_v4 selection related to floating ip matching
  * Functional test robustness and performance fix
  * Fix for timeout=None in orchestration API calls
  * Use openstacksdk for most transitive depends
  * Allow not resolving outputs on get stacks
  * Fix get_server to work with use_direct_get
  * Plumb use-direct-get through factory functions
  * Switch to providing created_at field for servers
  * Remove inner_exceptions plumbing
  * Make meta.find_best_address() more generic
  * Make floating IP to be prefered over fixed when looking for IP
  * Fix address format used in find_best_address()
  * Add supported method for checking the network exts
* Fri Apr 20 2018 mchandras@suse.de
- Version bump to 1.27.1
  The following changes are included in the 1.27.X release:
  * Fix private\_v4 selection related to floating ip matching
  * Use openstacksdk for most transitive depends
  * Remove inner\_exceptions plumbing
  * Make meta.find\_best\_address() more generic
  * Fix address format used in find\_best\_address()
  * Add supported method for checking the network exts
  * Make floating IP to be prefered over fixed when looking for IP
  * Fix get\_server to work with use\_direct\_get
  * Plumb use-direct-get through factory functions
  * Switch to providing created\_at field for servers
  * Allow not resolving outputs on get stacks
  * Updated from global requirements
  * Fix functional test about port
  * Zuul: Remove project name
  * Update UPPER\_CONSTRAINTS\_FILE for stable/queens
  * Update .gitreview for stable/queens
- Cleanup description
- Update dependencies
- Convert to python single-spec
* Fri Jun 12 2015 tbechtold@suse.com
- Initial packaging
